<?php
    if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class TipoOcupacion_Model extends CI_Model
{
    //Constructor 
    function __construct()
    {
        parent::__construct();
        //$this->load->library('encryption');
    }

	//Buscar Tipo de Ocupacion
    public function getTipoOcupacion($data)
    {
        $this->load->library('Consultar');
        $conn = $this->CI_Consultar->conexion(APP_SERVERNAME,APP_DBNAME,APP_USER,APP_PASS);
        
        $misql = "EXEC spGetGeneral @Opcion = ".$data[0].",
                                    @Id     = ".$data[1]."";
            
        $results=$this->CI_Consultar->consultarsp($misql,$conn);
        return $results;       
    }

	//Contar cantidad de Tipos de Ocupacion
	public function countTipoOcupacion($limit=false,$offset=false)
    {
		//Utilizado para la paginacion?
        $limit ? $this->db->limit($limit, $offset):'';
		
        $this->db->select('count(*) as Contador');
        $this->db->from('tipoocupacion');
       
        $query = $this->db->get();
        return $query->result();
    }
    
}
?>